> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get predicted funding rate

> Get predicted funding rate and the latest funding rate.

**Limit: 10 requests per 1 second per IP address**


## OpenAPI

````yaml GET /v3/public/fundingRate
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/public/fundingRate:
    get:
      description: Get predicted funding rate and the latest funding rate.
      parameters:
        - name: symbol
          in: query
          description: Symbol name
          required: false
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingRateResponse'
      security: []
components:
  schemas:
    FundingRateResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      symbol:
                        type: string
                        description: ''
                      estFundingRate:
                        type: string
                        description: ''
                      estFundingRateTimestamp:
                        type: number
                        description: ''
                      lastFundingRate:
                        type: string
                        description: ''
                      lastFundingRateTimestamp:
                        type: number
                        description: ''
                      nextFundingTime:
                        type: number
                        description: ''
                      lastFundingIntervalHours:
                        type: number
                        description: ''
                      estFundingIntervalHours:
                        type: number
                        description: ''
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````